Modules for Acquia Search

There are several Drupal modules that integrate with Acquia Search, some of which are required, some of which are recommended, and some of which are helpful for different use cases.

Installing the required modules

To use Acquia Search with your Drupal website, you need to download, install, and enable the following recommended modules based on your installed version of Drupal:

Module Drupal 8 Drupal 8 required version Drupal 7
Acquia Connector Yes 8.x-1.12 or greater Yes
Search API Yes 8.x-1.3 or greater Yes
Search API Solr Search Yes 8.x-1.0 or greater (Stable release stable releases only, no 2.x support) Yes
Apache Solr Search Integration No   Yes
  • Drupal 8
    Before you attempt to install the Drupal modules needed to use Acquia Search, be sure that you meet the following requirements:
    • Use only the previously specified module versions for Drupal 8 websites. Other module combinations have not been tested, and may not work as intended.
    • Solr version 4.5 or greater is required. New customers without a previous Acquia Search subscription receive this version. Previous customers with indexes using Solr 3.5 continue receiving this version. Create a support ticket if you need the newer version.
    • Ensure you have compatible Solr configuration files. See Search settings for more information.
    • This procedure requires that you already have Composer to properly manage the autoloader and other files.

    After ensuring that you have met the previously described comments, install the current release of the Acquia Connector module, which includes the Acquia Search module, and then install the specified releases of the Search API Solr and Search API modules.

  • Drupal 7
    Install the current release of the Acquia Connector module, which includes the Acquia Search module. For more information, see About the Acquia Connector. Although it is possible to use the Search API and Search API Solr Search modules, they are not recommended for use with Drupal 7.

Configuring the Solr index to match your website’s modules

When you update the Apache Solr Search Integration module to a later version, you must register the update in the Acquia Search page of the Acquia user interface. Click the gear icon, select the new version of the Apache Solr Search Integration, and then click Save.

Update module version

Recommended modules

The following modules are necessary for important use cases with Acquia Search:

  • Facet API - Enables faceted search interfaces, so users can filter their search results.
  • Solr Devel (Drupal 7 only) - Enables easier debugging of Solr indexing, searching, and ranking.
  • Apache Solr Attachments - Required to include file attachments in your search index.
  • Apache Solr Multisite Search - Required to enable multiple websites to connect to a single search index and provide a unified search across all of the websites. This also supports searches that span Drupal 7 websites.

Other search modules

Contact supportStill need assistance? Contact Acquia Support